<div class="section-add-user">
    <div class="content-user">
        <div style="position: relative">
            <div class="section-user-card">
                <div class="content-slantedcard-text">
                    <h3>Usuarios</h3>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                </div>

                <tr class="bottons-conten">
                    <th>
                        <button class="button-one">Previsualizar</button>
                    </th>
                    <th>         
                        <button class="button-two" (click)="addUser()">+  Agregar nuevo usuario</button>
                    </th>
                </tr>
            </div>
        </div>
    </div>
</div>

<div class="section-user">
    <div class="content-user">
        <div style="position: relative">
            <div class="section-user-card">
                <div class="content-slantedcard-text">
                    <thead>
                        <tr>
                          <th><input type="search" placeholder="Búsqueda" name="filterUser" [(ngModel)]="filterUser" /></th>
                          <th> <button class="button-order">8 por página</button></th>
                          <th> <button class="button-order" (click)="sortUserAZ()">Ordenar de A-Z</button></th>
                          <th> <button class="button-order">Todos</button></th>
                          <th><div class="svg1"></div></th>
                          <th><div class="svg2"></div></th>
                        </tr>
                    </thead>
                </div>
                <div class="line-s"></div>
                <table class="striped centered highlight" *ngIf="loadedRol">
                    <thead>
                        <tr>
                            <th class="th-display"></th>
                            <th class="th-title"><span>Foto</span></th>
                            <th class="th-title"><span>Nombre</span></th>
                            <th class="th-title"><span>Apellido paterno</span></th>
                            <th class="th-title"><span>Apellido materno</span></th>
                            <th class="th-title"><span>Correo</span></th>
                            <th class="th-title" *ngIf="loadedRol"><span>Rol</span></th>
                            <th class="th-title"><span>Status</span></th>
                            <th class="th-display"></th>
                            <th class="th-display"></th>
                        </tr>
                    </thead>
                    <tbody>
        
                        <ng-container *ngFor="let user of data | filter:filterUser;">
                                <tr app-list-user [user]="user" [userRol]="dataRole">
                                </tr>
                        </ng-container>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<!-- Modal de usuarios -->
<app-modal-user-add></app-modal-user-add>